//
//  TRInlineTextControls.h
//  Tryst
//
//  Created by Francisco Tolmasky on Wed Jan 14 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>


@class TRMovieInspector;

@interface TRMovieLabelCell: NSPopUpButtonCell <NSTextAttachmentCell>
{
    NSString            *representedProperty;

    NSTextAttachment    *attachment;
    
    id<NSMenuItem>      customMenuItem;
    TRMovieInspector    *movieInspector;
}

+ (void)setLabels:(NSArray *)labels forProperty:(NSString *)aProperty;

- (id)initWithProperty:(NSString *)aProperty movieInspector:(TRMovieInspector *)aMovieInspector;

- (NSString *)representedProperty;

- (void)addCustomLabel:(NSString *)aLabel select:(BOOL)select;

@end
