//
//  TRMovieScrollView.h
//  Tryst
//
//  Created by Francisco Tolmasky on Fri Dec 26 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>


#define kGutterWidth            28.0

#define kTRInitialProperty      0x001
#define kTRIntermediateProperty 0x000
#define kTRFinalProperty        0x010

@interface TRAuxiliaryClipView : NSClipView
{
}

@end

@class  TRMovieGutter,
		TRMovieFileView;

@interface TRMovieScrollView : NSScrollView
{
    TRMovieGutter       *gutter;
    TRAuxiliaryClipView *gutterClipView;
    
	TRMovieFileView		*fileView;
	
    BOOL                isEvaluatingNecessityOfScroller;
}

- (TRMovieGutter *)gutter;

- (TRMovieFileView *)fileView;

@end
